package com.wificam.network;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Collections;
import java.util.Enumeration;

import android.util.Log;

public class NetworkManager {
	
	private String host;
	private int port;
	
	private DatagramSocket udpSock;
	//private DatagramPacket udpPack;
	
	public NetworkManager() {
		
		
	}
	
	public void setAsServer(int port) {
		
		// ilgili portun bind edilmesi
		try {
			
			udpSock = new DatagramSocket(port);
		} catch (SocketException e) {
			
			Log.i(getClass().getSimpleName(), e.getMessage());
		}
	}
	
	public void setAsClient(String host, int port) {
		
		this.host = host;
		this.port = port;
		
		try {
			
			InetAddress inetAddress = InetAddress.getByName(host);	// MainActivity icerisinde exception oluyor thread yarat
			
			udpSock = new DatagramSocket();
			udpSock.connect(inetAddress, port);
			
		} catch(IOException e) {
			
			Log.i(getClass().getSimpleName(), e.getMessage());
		}
	}
	
	// dataSender interface ile ulasilacak metod
	public void sendData(byte[] data) {
		
		try {
			
			DatagramPacket pack = new DatagramPacket(data, data.length);
			udpSock.send(pack);
		} catch(IOException e) {
			
			Log.i(getClass().getSimpleName(), e.getMessage());
		}
	}
	
	// network interface ve ip adresi
	// duzeltilecek
	public void NW() {
		
		try {
			
			Enumeration<NetworkInterface> netInf = NetworkInterface.getNetworkInterfaces();
			
			for (NetworkInterface nw : Collections.list(netInf)) {
				
				Log.i("msg", nw.getDisplayName());
				Enumeration<InetAddress> inets = nw.getInetAddresses();
				for (InetAddress inet : Collections.list(inets))
					Log.i("msg", inet.getHostAddress());
			}
				
			
		} catch (IOException e) {
			
			e.printStackTrace();
		}
	}
	
}
